QGIS composer Multiline table cell formating from xslx data source

2017-10-25 01:35 PM - Arnaud Poncet-Montanges

Status: Closed

Priority: Low

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25227

Description

It seems like the "enveloppe le texte" option is taking the carriage return as a too long char to be displayed

 along with the last word of the line which creates some lines with just one word.

https://user-images.githubusercontent.com/8614223/31995318-35fb6c36-b984-11e7-90c8-530421782456.gif

History

#1 - 2017-10-25 01:37 PM - Arnaud Poncet-Montanges

It seems that it can't be reproduce on other data sources.

Problem comes probably from special char in xlsx format.

Workaround will be to use another data source.

#2 - 2017-10-25 01:41 PM - Arnaud Poncet-Montanges

Text sample

Aucun nouveau bâtiment n’est projeté dans cette zone    

Passage du mazout au gaz, ou installations solaires thermiques, ou les deux    

Par ordre de priorité pour autant que cela soit techniquement et financièrement réalisable:

1. Assainissement thermique de l'enveloppe des bâtiments.

2. Remplacement des chaudières à mazout par des chaudières à gaz.

3. Installation de panneaux solaires thermiques pour la production d’eau chaude sanitaire tout en respectant les contraintes liées au patrimoine

architectural de la zone.

In a multiline text(unlimited) attribute.

#3 - 2017-10-26 07:49 AM - Arnaud Poncet-Montanges

adding one or more space after . or : before carriage return fix this

#4 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback
Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#5 - 2019-03-13 03:26 PM - Arnaud Poncet-Montanges

It seems that the space after . or : is no longer require for good carriage return!

Thanks for the fix!

Arnaud

#6 - 2019-03-13 03:29 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
